# Bank List

## Credentials

Using basic authentication with below information:

|                           |                                      |
| ------------------------- | ------------------------------------ |
| Username (API UID)        | 2aaa1633-e63f-4371-9b85-91d936aa56a1 |
| Password (API Auth Token) | ZyUfF8EmyabcMWPcaocX                 |

## B2C (Retail Banking) Endpoint URL

Becoming a super hero is a fairly straight forward process:

| Environment | URL                                             | Method |
| ----------- | ----------------------------------------------- | ------ |
| Sandbox     | <https://sandbox.securepay.my/api/v1/banks/b2c> | GET    |
| Production  | <https://securepay.my/api/v1/banks/b2c>         | GET    |

## B2B1 (Corporate Banking) Endpoint URL

Merchant need to enable this module

| Environment | URL                                              | Method |
| ----------- | ------------------------------------------------ | ------ |
| Sandbox     | <https://sandbox.securepay.my/api/v1/banks/b2b1> | GET    |
| Production  | <https://securepay.my/api/v1/banks/b2b1>         | GET    |

{% hint style="info" %}
&#x20;Super-powers are granted randomly so please submit an issue if you're not happy with yours.
{% endhint %}

Once you're strong enough, save the world:

## API

## Banks list

<mark style="color:blue;">`GET`</mark> `https://sandbox.securepay.my/api/v1/banks/b2c`

Query banks list

{% tabs %}
{% tab title="200 " %}

```
{
    "VerifySign": true,
    "category": "fpx",
    "model": "B2C",
    "mode": "staging",
    "fpx_bankList": [
        {
            "name": "AGRO01",
            "code": "AGRO01",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Affin B2C - Test ID",
            "code": "ABB0234",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Affin Bank",
            "code": "ABB0233",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Alliance Bank (Personal)",
            "code": "ABMB0212",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "AmBank",
            "code": "AMBB0209",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "BSN",
            "code": "BSN0601",
            "status_format1": "offline",
            "status_format2": false
        },
        {
            "name": "Bank Islam",
            "code": "BIMB0340",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Bank Muamalat",
            "code": "BMMB0341",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Bank Rakyat",
            "code": "BKRM0602",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "CIMB Clicks",
            "code": "BCBB0235",
            "status_format1": "offline",
            "status_format2": false
        },
        {
            "name": "Citibank",
            "code": "CIT0219",
            "status_format1": "offline",
            "status_format2": false
        },
        {
            "name": "HSBC Bank",
            "code": "HSBC0223",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Hong Leong Bank",
            "code": "HLB0224",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "KFH",
            "code": "KFH0346",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "MBB0228",
            "code": "MBB0228",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Maybank2U",
            "code": "MB2U0227",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "OCBC Bank",
            "code": "OCBC0229",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Public Bank",
            "code": "PBB0233",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "RHB Bank",
            "code": "RHB0218",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "SBI Bank A",
            "code": "TEST0021",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "SBI Bank B",
            "code": "TEST0022",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "SBI Bank C",
            "code": "TEST0023",
            "status_format1": "online",
            "status_format2": true
        },
        {
            "name": "Standard Chartered",
            "code": "SCB0216",
            "status_format1": "offline",
            "status_format2": false
        },
        {
            "name": "UOB Bank",
            "code": "UOB0226",
            "status_format1": "offline",
            "status_format2": false
        },
        {
            "name": "UOB Bank - Test ID",
            "code": "UOB0229",
            "status_format1": "offline",
            "status_format2": false
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Curl

Sample Query

```bash
curl -u 2aaa1633-e63f-4371-9b85-91d936aa56a1:ZyUfF8EmyabcMWPcaocX -i -H 'Accept:application/json' https://sandbox.securepay.my/api/v1/banks/b2c
```

Sample Response

```bash
{"VerifySign":true,"category":"fpx","model":"B2C","mode":"staging","fpx_bankList":[{"name":"AGRO01","code":"AGRO01","status_format1":"online","status_format2":true},{"name":"Affin B2C - Test ID","code":"ABB0234","status_format1":"online","status_format2":true},{"name":"Affin Bank","code":"ABB0233","status_format1":"online","status_format2":true},{"name":"Alliance Bank (Personal)","code":"ABMB0212","status_format1":"online","status_format2":true},{"name":"AmBank","code":"AMBB0209","status_format1":"online","status_format2":true},{"name":"BSN","code":"BSN0601","status_format1":"offline","status_format2":false},{"name":"Bank Islam","code":"BIMB0340","status_format1":"online","status_format2":true},{"name":"Bank Muamalat","code":"BMMB0341","status_format1":"online","status_format2":true},{"name":"Bank Rakyat","code":"BKRM0602","status_format1":"online","status_format2":true},{"name":"CIMB Clicks","code":"BCBB0235","status_format1":"offline","status_format2":false},{"name":"Citibank","code":"CIT0219","status_format1":"offline","status_format2":false},{"name":"HSBC Bank","code":"HSBC0223","status_format1":"online","status_format2":true},{"name":"Hong Leong Bank","code":"HLB0224","status_format1":"online","status_format2":true},{"name":"KFH","code":"KFH0346","status_format1":"online","status_format2":true},{"name":"MBB0228","code":"MBB0228","status_format1":"online","status_format2":true},{"name":"Maybank2U","code":"MB2U0227","status_format1":"online","status_format2":true},{"name":"OCBC Bank","code":"OCBC0229","status_format1":"online","status_format2":true},{"name":"Public Bank","code":"PBB0233","status_format1":"online","status_format2":true},{"name":"RHB Bank","code":"RHB0218","status_format1":"online","status_format2":true},{"name":"SBI Bank A","code":"TEST0021","status_format1":"online","status_format2":true},{"name":"SBI Bank B","code":"TEST0022","status_format1":"online","status_format2":true},{"name":"SBI Bank C","code":"TEST0023","status_format1":"online","status_format2":true},{"name":"Standard Chartered","code":"SCB0216","status_format1":"offline","status_format2":false},{"name":"UOB Bank","code":"UOB0226","status_format1":"offline","status_format2":false},{"name":"UOB Bank - Test ID","code":"UOB0229","status_format1":"offline","status_format2":false}]}
```

| Variables                       | Values                | Description                                                                      |
| ------------------------------- | --------------------- | -------------------------------------------------------------------------------- |
| VerifySign                      | true or false         | Verify data source only accept true value. false might be bogus, please discard. |
| Category                        | fpx                   | Default is fpx                                                                   |
| Model                           | B2C or B2B1           | Identify which model                                                             |
| Mode                            | staging or production | Current mode                                                                     |
| fpx\_bankList - name            |                       | Bank name                                                                        |
| fpx\_bankList - code            |                       | Bank Code                                                                        |
| fpx\_bankList - status\_format1 | online or offline     | Current bank status in word online or offline                                    |
| fpx\_bankList - status\_format2 | true or false         | Current bank status in boolean true for online and vice versa                    |

{% tabs %}
{% tab title="Ruby" %}

```ruby
We need your super power. Please help us by share the code, email us amir@securepay.my
```

{% endtab %}

{% tab title="PHP" %}

```
We need your super power. Please help us by share the code, email us amir@securepay.my
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.securepay.my/api/partner/bank-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
